<?php
/**
 * Слайд "Новости" в лендинге.
 * 
 *
 * @author veselka.ua
 * @version 0.1
 *
 * @package veselka_ua/veselka_landing
 */

	// Заголовок слайда
	include( LANDING_PATH . '/view/_slide_header.php' );

	// Переопределение аргументов по умолчанию
	// Аргументы цикла
	$args = [
			'post_type'			=>	'post',
			'posts_per_page'	=>	4,
			'paged'				=>	1,
			'post_status'		=>	'publish',
			'orderby'			=>	'date',
			'order'				=>	'DESC',
	];
	// Запрос
	$blog_query = new WP_Query( $args );
	if( $blog_query->have_posts() ) {

		// Цикл Вордпресс
		while( $blog_query->have_posts() ) : $blog_query->the_post();
			// Шаблон блога в лендинге.
			// Видимо нужно передавать имя шаблона поста через мета поля
			get_template_part('view/post/post-landing');
		endwhile;
	} // endif


	// Подвал слайда
	include( LANDING_PATH . '/view/_slide_footer.php' );

?>
